> ## Documentation Index
> Fetch the complete documentation index at: https://docs.genai.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task (legacy)

<Accordion title="Authentication" icon="key">
  Every request sent to Scale's API requires authentication. In short, your API Key is the Bearer token. See the [Authentication](/get-started/authentication) section for more details.
</Accordion>


## OpenAPI

````yaml GET /v1/task/{task_id}
openapi: 3.1.0
info:
  title: GenAI API Spec
  description: 'Data Engine: Generative AI API Specification'
  version: 0.0.1
servers:
  - url: https://api.scale.com
security:
  - bearerAuth: []
  - basicAuth: []
paths:
  /v1/task/{task_id}:
    get:
      tags:
        - v1
      summary: Get Task (legacy)
      parameters:
        - $ref: '#/components/parameters/taskId'
      responses:
        '200':
          description: List of completed tasks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    description: Unique identifier for the task.
                    example: '123'
                  created_at:
                    type: string
                    description: Timestamp when the task was created.
                    example: '2024-01-01T00:00:00.000Z'
                  type:
                    type: string
                    description: Type of the task
                    example: chat
                  params:
                    type: object
                    description: Additional parameters for the task.
                  response:
                    type: object
                    description: Response object containing task output.
                    example:
                      responses:
                        - type: Instructions
                          output: ''
                        - type: PromptInput
                          output: test prompt
                    properties:
                      responses:
                        type: array
                        description: List of response objects.
                        items:
                          type: object
components:
  parameters:
    taskId:
      name: task_id
      in: path
      required: true
      description: Scale's unique identifier for the task.
      schema:
        $ref: '#/components/schemas/TaskId'
  schemas:
    TaskId:
      type: string
      description: Unique identifier for a task
      example: task_abc123
  securitySchemes:
    bearerAuth:
      description: >-
        Your API Key is the Bearer token. See the
        [Authentication](/get-started/authentication) section to learn how to
        access your key.
      type: http
      scheme: bearer
    basicAuth:
      description: >-
        Basic HTTP Authentication. Your API Key is your username.  Learn more
        about setting up Authentication [here](/get-started/authentication).
      type: http
      scheme: basic

````